Search users
curl --request GET \
--url https://scrapebadger.com/v1/twitter/users/search_users \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/users/search_users"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/users/search_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "44196397",
"username": "elonmusk",
"name": "Elon Musk",
"created_at": "Tue Jun 02 20:12:29 +0000 2009",
"description": "Mars & Cars, Chips & Dips",
"location": "Mars",
"url": "<string>",
"profile_image_url": "<string>",
"profile_banner_url": "<string>",
"followers_count": 0,
"following_count": 0,
"tweet_count": 0,
"listed_count": 0,
"favourites_count": 123,
"media_count": 123,
"verified": false,
"verified_type": "<string>",
"is_blue_verified": true,
"created_at_datetime": "<string>",
"protected": true,
"possibly_sensitive": true,
"followed_by": true,
"following": true,
"can_dm": true,
"professional_type": "<string>",
"pinned_tweet_ids": [
"<string>"
]
}
],
"next_cursor": "<string>"
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Users
Search Users
Search for users by username, display name, or keywords in their bio. Returns matching user profiles with comprehensive data. Useful for finding accounts related to specific topics or interests.
GET
/
v1
/
twitter
/
users
/
search_users
Search users
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Query Parameters
Search query to match against usernames, display names, and bios.
Example:
"machine learning"
Pagination cursor for fetching the next page of results.
⌘I

